Bug 100236 - Undefined symbols for architecture x86_64: "typeinfo for llvm::RTDyldMemoryManager"
Summary: Undefined symbols for architecture x86_64: "typeinfo for llvm::RTDyldMemoryMa...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2017-03-16 18:27 UTC by Vinson Lee
Modified: 2017-03-23 07:09 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2017-03-16 18:27:44 UTC
mesa: f51a320b12f224cc016129cbdaad6cf44e23f0e5 (master 17.1.0-devel)

  CXXLD    libGL.la
clang: warning: argument unused during compilation: '-pthread'
Undefined symbols for architecture x86_64:
  "typeinfo for llvm::RTDyldMemoryManager", referenced from:
      typeinfo for DelegatingJITMemoryManager in libgallium.a(lp_bld_misc.o)
ld: symbol(s) not found for architecture x86_64
Comment 1 Emil Velikov 2017-03-16 18:40:56 UTC
Interesting - this might be related to my pthread-stubs patches.

Vinson, please provide a complete configure line alongside the summary and more information about the platform/setup.
Comment 2 Vinson Lee 2017-03-16 19:45:01 UTC
fe56c745b8cb562445b318bacbb4267f07e43584 is the first bad commit
commit fe56c745b8cb562445b318bacbb4267f07e43584
Author: Jan Beich <jbeich@freebsd.org>
Date:   Sun Mar 12 03:19:14 2017 +0000

    Convert sed(1) syntax to be compatible with FreeBSD and OpenBSD
    
    BSD regex library doesn't support extended RE escapes (e.g. \+) and
    shorthand character classes (e.g. \s, \S) and SVR4-style word
    delimiters[1] (on DragonFly and NetBSD). Both GNU and BSD sed support
    -E and -r to enable extended RE but OS X still lacks -r.
    
    [1] https://www.illumos.org/issues/516
    
    Reviewed-by: Eric Engestrom <eric.engestrom@imgtec.com>
    Tested-by: Eric Engestrom <eric.engestrom@imgtec.com> (GNU sed)

:100644 100644 a99684bd4343e4cc288ee7a8d620ce3c6fa5c5b4 1d81fcceaeed3847354fe6958d3dc3511c140b54 M	configure.ac
bisect run success
Comment 3 Michel Dänzer 2017-03-17 01:21:34 UTC
What does LLVM_CXXFLAGS contain in config.log before and after that commit?
Comment 4 Vinson Lee 2017-03-23 07:09:52 UTC
commit bd6f0dcafce73b1c7332a1c51f6862470fe2c2a0
Author: Vinson Lee <vlee@freedesktop.org>
Date:   Wed Mar 22 00:27:15 2017 -0700

    configure.ac: Do not strip away space after regex word match.
    
    Fixes: 62c48ccb413b ("configure.ac: Use POSIX compatible regex for word boundary.")
    Signed-off-by: Vinson Lee <vlee@freedesktop.org>

commit 62c48ccb413bbb0d3d305966514b7783640eaf89
Author: Vinson Lee <vlee@freedesktop.org>
Date:   Thu Mar 16 15:26:18 2017 -0700

    configure.ac: Use POSIX compatible regex for word boundary.
    
    Fixes build error on Mac OS X.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=100236
    Suggested-by: Jan Beich <jbeich@freebsd.org>
    Suggested-by: Michel Dänzer <michel@daenzer.net>
    Signed-off-by: Vinson Lee <vlee@freedesktop.org>
    Reviewed-by: Eric Engestrom <eric@engestrom.ch>
    Acked-by: Emil Velikov <emil.velikov@collabora.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.